summaryrefslogtreecommitdiffstats
path: root/jjb/xci
diff options
context:
space:
mode:
authorFatih Degirmenci <fdegir@gmail.com>2018-03-17 11:02:15 +0000
committerGerrit Code Review <gerrit@opnfv.org>2018-03-17 11:02:15 +0000
commit2f32671b8a98612a3a595590addf758f6e457d7c (patch)
tree564b8bd1df3c8ce7a305869e18e4b3d84dffdaba /jjb/xci
parent07a4bcdbebbc4165a67e3fb0f4b0d078928268a2 (diff)
parent0c9279789235541dfeb27e316c80152e8100e451 (diff)
Merge "xci: Log functest output before failure"
Diffstat (limited to 'jjb/xci')
-rwxr-xr-xjjb/xci/xci-run-functest.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/jjb/xci/xci-run-functest.sh b/jjb/xci/xci-run-functest.sh
index 60b48cf7f..2e343631b 100755
--- a/jjb/xci/xci-run-functest.sh
+++ b/jjb/xci/xci-run-functest.sh
@@ -7,9 +7,7 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-set -o errexit
set -o nounset
-set -o pipefail
#----------------------------------------------------------------------
# This script is used by CI and executed by Jenkins jobs.
@@ -58,3 +56,8 @@ echo "Functest log"
echo "---------------------------------------------------------------------------------"
ssh -F $HOME/.ssh/${DISTRO}-xci-vm-config ${DISTRO}_xci_vm_opnfv "cat /root/results/functest.log"
echo "---------------------------------------------------------------------------------"
+# check the log to see if we have any error
+if ssh -F $HOME/.ssh/${DISTRO}-xci-vm-config ${DISTRO}_xci_vm_opnfv "grep -q 'FAIL' /root/results/functest.log"; then
+ echo "Error: Functest failed!"
+ exit 1
+fi